%global dlrn_nvr requestsexceptions-1.4.0-2.20220110170701.d7ac0ff
%global dlrn 1
%define upstream_version 1.4.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}}
%global pypi_name requestsexceptions

%global common_desc \
This is a simple library to find the correct path to exceptions in the \
requests library regardless of whether they are bundled.

Name:           python-%{pypi_name}
Version: 1.4.0
Release: 2.20220110170701.d7ac0ff%{?dist}
Summary:        Import exceptions from potentially bundled packages in requests

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0: requestsexceptions-1.4.0-2.20220110170701.d7ac0ff.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=d7ac0ff7ca9efcc1624aae0a2431e0a5862b069f

BuildArch:      noarch

%description
%{common_desc}

%package -n python%{pyver}-%{pypi_name}
Summary:        Import exceptions from potentially bundled packages in requests
%{?python_provide:%python_provide python%{pyver}-%{pypi_name}}

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools

%description -n python%{pyver}-%{pypi_name}
%{common_desc}

%prep
%autosetup -n %{pypi_name}-%{upstream_version}

%build
%{pyver_build}

%install
%{pyver_install}

%files -n python%{pyver}-%{pypi_name}
%doc README.rst
%license LICENSE
%{pyver_sitelib}/%{pypi_name}
%{pyver_sitelib}/*.egg-info

%changelog
* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.0-2.20220110170701.d7ac0ff
- Update patches

* Wed Jun 09 2021 CPaaS User <cpaas-ops@redhat.com> - 1.4.0-2.20210527160003.d7ac0ff.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.0-2.20210527160003.d7ac0ff
- Update patches

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.4.0-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 1.4.0-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.4.0-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 1.4.0-1
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 1.4.0-1
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 1.4.0-1
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


